user root;
worker_processes 4;

events {
    worker_connections 1024;
}

http {
    include mime.types;
    default_type application/octet-stream;
    sendfile on;
    keepalive_timeout 65;

    map $http_upgrade $connection_upgrade {
        default upgrade;
        '' close;
    }

    server {
        listen 80;
        server_name default;
        absolute_redirect off;

        error_page 500 502 503 504 /50x.html;
        location = /50x.html {
            root html;
        }
    }
    include conf.d/*.conf;
}